import request from '@/utils/request'

// 查询保养部位信息列表
export function listStation(query) {
  return request({
    url: '/dms/station/list',
    method: 'get',
    params: query
  })
}

// 查询保养部位信息详细
export function getStation(maintStationId) {
  return request({
    url: '/dms/station/' + maintStationId,
    method: 'get'
  })
}

// 新增保养部位信息
export function addStation(data) {
  return request({
    url: '/dms/station',
    method: 'post',
    data: data
  })
}

// 修改保养部位信息
export function updateStation(data) {
  return request({
    url: '/dms/station',
    method: 'put',
    data: data
  })
}

// 删除保养部位信息
export function delStation(maintStationId) {
  return request({
    url: '/dms/station/' + maintStationId,
    method: 'delete'
  })
}
